### Method

# RB StaticPlaylistSource add_location

#### Declaration [src]

    void
    rb_static_playlist_source_add_location (
      RBStaticPlaylistSource* source,
      const char* location,
      gint index
    )

#### Description [src]

If the location matches an entry in the database, the entry is added to the playlist. Otherwise, if it identifies a directory, the contents of that directory are added.

#### Parameters

`location`

  Type: `const char*`

  Location (URI) to add to the playlist.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`index`

  Type: `gint`

  Position at which to add the location (-1 to add at the end).